# servec-zhwl

此项目没有修改框架,所以model部分如果使用子目录,会引发错误,controller和service,router使用子目录不会产生bug

添加模糊查询
>符号及使用=>在parameters中的query`{key:value} => {key:%value%}`

>位置:`naf-framework-mongoose>lib>service>crud-service`中

`query`和`count`在`操作model前`加上下面的代码

> filter = this.turnFilter(filter);

之后添加函数 `turnFilter`
```
turnFilter(filter){
    let str = /^%\w*%$/;
    let keys = Object.keys(filter);
    for (const key of keys) {
      let res = key.match(str);
      if (res) {
        let newKey = key.slice(1, key.length - 1);
        filter[newKey] = new RegExp(filter[key]);
        delete filter[key];
      }
    }
    return filter;
  }
```
添加日期范围查询
>符号及使用=>在parameters中的query,`{key:value} => {'${key}@start/end':'${key}@start/end'}`

>位置:`naf-framework-mongoose>lib>service>crud-service`中

`query`和`count`在`操作model前`加上下面的代码

> filter = this.turnDateRangeQuery(filter);

之后添加函数 `turnDateRangeQuery`
```
turnDateRangeQuery(filter){
    const keys = Object.keys(filter);
    for (const k of keys) {
      if (k.includes('@')) {
         const karr = k.split('@');
        //  因为是针对处理范围日期,所以必须只有,开始时间和结束时间
         if (karr.length === 2) {
            const type = karr[1];
            if (type === 'start') filter[karr[0]] = { ...get(filter, karr[0], {}), $gte: filter[k] };
            else filter[karr[0]] = { ...get(filter, karr[0], {}), $lte: filter[k] };
            delete filter[k]
         }
      }
    }
    return filter;
  }
```
## QuickStart

<!-- add docs here for user -->

see [egg docs][egg] for more detail.

### Development

```bash
$ npm i
$ npm run dev
$ open http://localhost:8081/
```

### Deploy

```bash
$ npm start
$ npm stop
```

### npm scripts

- Use `npm run lint` to check code style.
- Use `npm test` to run unit test.
- Use `npm run autod` to auto detect dependencies upgrade, see [autod](https://www.npmjs.com/package/autod) for more detail.


[egg]: https://eggjs.org
